<%- include('partials/header') %>
<%- include('partials/navbar') %>

<div class="container mt-5 py-5">
  <h3>All Blogs 😇 </h3>

  <% posts.reverse() %> 

  <% posts.forEach(post => { %>
  <div class="card mt-3">
      <div class="card-body">
          <p class="text-muted">published at: <%= post.postedAt %> </p>
          <h5 class="card-title"><%= post.title %> </h5>
          <p class="card-text"><%= post.content.slice(0, 99) %> .... <a href="/post/<%= post._id %>">Read More</a></p>
          <a href=" /post/<%= post._id %>" class="btn btn-primary">Read More...</a>
          <a href=" /delete/<%= post._id %>" class="btn btn-danger">Delete</a>
          <a href=" /edit/<%= post._id %>" class="btn btn-warning">Edit</a>
      </div>
  </div>
  <%}) %>
  <br>
  
<div>
<a href="/users/logout" class="btn btn-secondary">Logout</a>
</div>
<%- include('partials/footer') %>
